package com.smppw.modaq.domain.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.smppw.modaq.domain.entity.MailboxInfoDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface MailboxInfoMapper extends BaseMapper<MailboxInfoDO> {

    /**
     * 查询配置邮箱信息
     *
     * @return 配置邮箱信息
     */
    List<MailboxInfoDO> listMailboxInfo();

//    List<MailboxInfoDO> searchEmailConfigList(EmailPageQuery emailPageQuery);

    void deleteEmailConfigByIds(@Param("ids") List<Integer> split, @Param("updaterId") Integer userId);

    MailboxInfoDO selectEmailConfigByEmail(@Param("email") String email);

//    long countEmailConfig(EmailPageQuery emailPageQuery);

    MailboxInfoDO searchEmailConfigById(@Param("id") Integer id);

    List<MailboxInfoDO> getAll();
}
